Subject: Re: [PATCH] mm: remove kern_addr_valid() completely

From: Catalin Marinas <[email-masked]>
Date: Tue, 1 Nov 2022 17:47:01 +0000

On Tue, Oct 18, 2022 at 03:40:14PM +0800, Kefeng Wang wrote:
> Most architectures(except arm64/x86/sparc) simply return 1 for
> kern_addr_valid(), which is only used in read_kcore(), and it
> calls copy_from_kernel_nofault() which could check whether the
> address is a valid kernel address, so no need kern_addr_valid(),
> let's remove unneeded kern_addr_valid() completely.
> 
> Signed-off-by: Kefeng Wang <[email-masked]>

For arm64:

Acked-by: Catalin Marinas <[email-masked]>